Package org.opensaml.saml.saml1.core.impl

# Class RespondWithImpl

java.lang.Object
org.opensaml.core.xml.AbstractXMLObject
org.opensaml.saml.saml1.core.impl.RespondWithImpl

All Implemented Interfaces:
  `XSQName`, `XMLObject`, `SAMLObject`, `RespondWith`

public class RespondWithImpl extends AbstractXMLObject implements RespondWith
Implementation of `RespondWith`.

## Field Summary

Fields
Modifier and Type
Field
Description
`private QName`
`value`
Value of this element.

### Fields inherited from interface org.opensaml.saml.saml1.core.RespondWith

`DEFAULT_ELEMENT_LOCAL_NAME, DEFAULT_ELEMENT_NAME`

### Fields inherited from interface org.opensaml.core.xml.schema.XSQName

`TYPE_LOCAL_NAME, TYPE_NAME`

## Constructor Summary

Constructors
Modifier
Constructor
Description
`protected`
`RespondWithImpl(String namespaceURI, String elementLocalName, String namespacePrefix)`
Constructor.

## Method Summary

Modifier and Type
Method
Description
`List<XMLObject>`
`getOrderedChildren()`
Gets an unmodifiable list of child elements in the order that they will appear in the DOM.
`QName`
`getValue()`
Gets the QName content of the element.
`void`
`setValue(QName newValue)`
Sets the QName content of the element.

### Methods inherited from class org.opensaml.core.xml.AbstractXMLObject

`detach, ensureDOM, getDOM, getElementQName, getIDIndex, getNamespaceManager, getNamespaces, getNoNamespaceSchemaLocation, getObjectMetadata, getParent, getSchemaLocation, getSchemaType, hasChildren, hasParent, isNil, isNilXSBoolean, manageQualifiedAttributeNamespace, prepareAttributeValueForAssignment, prepareElementContentForAssignment, prepareForAssignment, prepareForAssignment, prepareForAssignment, registerOwnID, releaseChildrenDOM, releaseDOM, releaseParentDOM, releaseThisAndChildrenDOM, releaseThisandParentDOM, resolveID, resolveIDFromRoot, setDOM, setElementNamespacePrefix, setElementQName, setNil, setNil, setNoNamespaceSchemaLocation, setParent, setSchemaLocation, setSchemaType`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.opensaml.core.xml.XMLObject

`detach, ensureDOM, getDOM, getElementQName, getIDIndex, getNamespaceManager, getNamespaces, getNoNamespaceSchemaLocation, getObjectMetadata, getParent, getSchemaLocation, getSchemaType, hasChildren, hasParent, isNil, isNilXSBoolean, releaseChildrenDOM, releaseDOM, releaseParentDOM, resolveID, resolveIDFromRoot, setDOM, setNil, setNil, setNoNamespaceSchemaLocation, setParent, setSchemaLocation`

## Field Details

### value

@Nullable private QName value
Value of this element.

## Constructor Details

### RespondWithImpl

protected RespondWithImpl(@Nullable String namespaceURI, @Nonnull String elementLocalName, @Nullable String namespacePrefix)
Constructor.

Parameters:
  `namespaceURI` - the namespace the element is in
  `elementLocalName` - the local name of the XML element this Object represents
  `namespacePrefix` - the prefix for the given namespace

## Method Details

### getValue

@Nullable public QName getValue()
Gets the QName content of the element.

Specified by:
  `getValue` in interface `XSQName`
Returns:
  the QName content of the element

### setValue

public void setValue(@Nullable QName newValue)
Sets the QName content of the element.

Specified by:
  `setValue` in interface `XSQName`
Parameters:
  `newValue` - the QName content of the element

### getOrderedChildren

@Nullable @NotLive @Unmodifiable public List<XMLObject> getOrderedChildren()
Gets an unmodifiable list of child elements in the order that they will appear in the DOM.

Specified by:
  `getOrderedChildren` in interface `XMLObject`
Returns:
  ordered list of child elements